MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001232VCMIMechanics - Objectspublic2013-03-05 11:582016-09-05 04:59
ReporterIvan 
Assigned ToAVS 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98 
Summary0001232: Missing spells from HoMM3
DescriptionView Earth
View Air
Implementing them right now may not be straightforward - downscaled view world option should be implemented first.

Disguise
Visions
Should be simple to implement.
TODO: how AI should react on masked army?

Earthquake
Difficult to animate, but easy to implement mechanics


These spells have not implemented animation:

- Chain Lighting
- Stone Gaze
- Berserk
- Clone
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000093assignedAVS Wrong/Missing spell animations 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0003438)
Zamolxis (viewer)
2013-03-07 08:29
edited on: 2013-03-07 08:30

Probably not all spells will be implemented in one go. So I suggest that if one dev starts working on one of them, to create a new report as child, and assign to himself. Then mark it as Resolved when done (and I'll check & Close if it works well in the next official release).

(0005710)
AVS (administrator)
2015-04-11 10:22

Mechanics of all spells has been implemented
(0006623)
Warmonger (administrator)
2016-09-05 04:59

Closing. All spells are implemented - if any of them doesn't work as intended, open new ticket.

- Issue History
Date Modified Username Field Change
2013-03-05 11:58 Ivan New Issue
2013-03-07 08:29 Zamolxis Note Added: 0003438
2013-03-07 08:30 Zamolxis Note Edited: 0003438 View Revisions
2013-03-09 10:39 Ivan Description Updated View Revisions
2013-08-12 19:32 Zamolxis Issue cloned: 0001407
2014-09-02 09:55 Warmonger Severity major => feature
2014-09-02 09:55 Warmonger Category Mechanics - Other => Mechanics - Objects
2015-04-11 10:22 AVS Note Added: 0005710
2016-09-04 22:53 AVS Relationship added parent of 0000093
2016-09-05 01:53 AVS Assigned To => AVS
2016-09-05 01:53 AVS Status new => assigned
2016-09-05 04:59 Warmonger Note Added: 0006623
2016-09-05 04:59 Warmonger Status assigned => closed
2016-09-05 04:59 Warmonger Resolution open => fixed
2016-09-05 04:59 Warmonger Fixed in Version => 0.98

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean